| The Gaudi Framework v28r2-patches (bc4ad17a)

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- File List
- File Members

Macros | Functions
IoComponentMgr.cpp File Reference
`#include "IoComponentMgr.h"`
`#include "GaudiKernel/IIncidentSvc.h"`
`#include "GaudiKernel/FileIncident.h"`
`#include "GaudiKernel/IFileMgr.h"`
`#include "GaudiKernel/ServiceHandle.h"`
`#include <boost/filesystem.hpp>`
`#include "GaudiKernel/Property.h"`
Include dependency graph for IoComponentMgr.cpp:

Go to the source code of this file.

## Macros
#define | ON_DEBUG if (UNLIKELY(outputLevel() <= MSG::DEBUG))
#define | ON_VERBOSE if (UNLIKELY(outputLevel() <= MSG::VERBOSE))
#define | DEBMSG ON_DEBUG debug()
#define | VERMSG ON_VERBOSE verbose()

## Functions
std::ostream & | operator<< (std::ostream &os, const IIoComponentMgr::IoMode::Type &m)

## Macro Definition Documentation

#define DEBMSG ON_DEBUG debug()

Definition at line 24 of file IoComponentMgr.cpp.

#define ON_DEBUG if (UNLIKELY(outputLevel() <= MSG::DEBUG))

Definition at line 21 of file IoComponentMgr.cpp.

#define ON_VERBOSE if (UNLIKELY(outputLevel() <= MSG::VERBOSE))

Definition at line 22 of file IoComponentMgr.cpp.

#define VERMSG ON_VERBOSE verbose()

Definition at line 25 of file IoComponentMgr.cpp.

## Function Documentation

std::ostream& operator<< | ( | std::ostream & | os,
|  | const IIoComponentMgr::IoMode::Type & | m
| ) |  |

Definition at line 33 of file IoComponentMgr.cpp.

33 {
34 switch (m) {
35 case IIoComponentMgr::IoMode::READ : os << "READ"; break;
36 case IIoComponentMgr::IoMode::WRITE : os << "WRITE"; break;
37 case IIoComponentMgr::IoMode::RW : os << "RW"; break;
38 default:
39 os << "INVALID"; break;
40 }
41
42 return os;
43
44 }
IIoComponentMgr::IoMode::RW
Definition: IIoComponentMgr.h:35
Gaudi::Units::m
constexpr double m
Definition: SystemOfUnits.h:93
IIoComponentMgr::IoMode::WRITE
Definition: IIoComponentMgr.h:34
IIoComponentMgr::IoMode::READ
Definition: IIoComponentMgr.h:33